// ##########################################################################
// ####                                                                  ####
// ####                      RTP Audio Server Project                    ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Break Detector                                                   ####
// ####                                                                  ####
// #### Version 1.00  --  September 17, 2000                             ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################


#include "system.h"
#include "breakdetector.h"


#include <signal.h>


namespace Coral {


// ###### Handler for SIGINT ################################################
bool DetectedBreak = false;
bool PrintedBreak  = false;
void breakDetector(int signum)
{
   DetectedBreak = true;
   PrintedBreak  = false;
}


// ###### Install break detector ############################################
void installBreakDetector()
{
   DetectedBreak = false;
   PrintedBreak  = false;
   signal(SIGINT,&breakDetector);
}


// ###### Unnstall break detector ###########################################
void uninstallBreakDetector()
{
   signal(SIGINT,SIG_DFL);
   DetectedBreak = false;
   PrintedBreak  = false;
}


// ###### Check, if break has been detected #################################
bool breakDetected()
{
   if((DetectedBreak) && (!PrintedBreak)) {
      cerr << endl << "*** Break ***    Signal #" << SIGINT << endl << endl;
      PrintedBreak = true;
   }
   return(DetectedBreak);
}


}
