// ##########################################################################
// ####                                                                  ####
// ####                    Master Thesis Implementation                  ####
// ####  Management of Layered Variable Bitrate Multimedia Streams over  ####
// ####                  DiffServ with A Priori Knowledge                ####
// ####                                                                  ####
// #### ================================================================ ####
// ####                                                                  ####
// ####                                                                  ####
// #### MP3 Trace Array                                                  ####
// ####                                                                  ####
// #### Version 1.00  --  October 10, 2000                               ####
// ####                                                                  ####
// #### Copyright (C) 2000 Thomas Dreibholz                              ####
// #### University of Bonn, Department of Computer Science IV            ####
// #### EMail: Dreibholz@bigfoot.com                                     ####
// #### WWW:   http://www.bigfoot.com/~dreibholz/diplom/index.html       ####
// ####                                                                  ####
// ##########################################################################


#ifndef MP3TRACEARRAY_H
#define MP3TRACEARRAY_H


#include "system.h"
#include "tracearray.h"


namespace Coral {


/**
  * This is an array of MP3 layer traces.
  *
  * @short   MP3 Trace Array
  * @author  Thomas Dreibholz (Dreibholz@bigfoot.com)
  * @version 1.0
  */
class MP3TraceArray : public TraceArray
{
   // ====== Constructor ====================================================
   public:
   /**
     * Constructor.
     */
   MP3TraceArray(const TraceConfiguration& config);


   // ====== MP3 methods ===================================================
   /**
     * Load MP3 trace.
     *
     * @param name File name.
     * @return true, if load has been successful; false otherwise.
     */
   bool load(const char* name);
};


}


#endif
