#include "system.h"
#include "tdtfmediareader.h"
#include "traceencoder.h"
#include "tracedecoder.h"
#include "tdtf.h"


using namespace Coral;


// ###### Main program ######################################################
int main(int argc, char* argv[])
{
   TDTFMediaReader tr;
   if(tr.open("Test.tdtf")) {
     //  tr.print(cout,25.0,true,false);

       const cardinal hSize   = 40 + 8 + 12;
       const cardinal pktSize = 1500;


       TraceEncoder te(&tr);
       TraceDecoder td;

       printf("%f - %f\n",tr.getMinFrameRate(),tr.getMaxFrameRate());

       cardinal f = 0, s = 0;
       AbstractQoSDescription* aqd = te.getQoSDescription(hSize,pktSize);
       while(te.prepareNextFrame(hSize,pktSize,0) == true) {
          printf("BW=%d\n",aqd->getMaxBandwidth());
          if(f == 10)
             tr.setFrameRate(18.0);
          if(f == 15)
             tr.setFrameRate(22.0);

          for(;;) {
             EncoderPacket p;
             char bytes[115000];
             p.Layer = 0;
             p.PayloadType = 0;
             p.MaxLength = 100000;
             p.Marker = false;
             p.Buffer = (char*)&bytes;
             cardinal b = te.getNextPacket(&p);
             if(b == 0) break;
//             printf("  => L%d:  %d\n",p.Layer,b);


             DecoderPacket dp;
             dp.Buffer = (char*)&bytes;
             dp.Length = p.MaxLength;
             dp.SequenceNumber = s++;
             dp.TimeStamp = 0;
             dp.PayloadType = p.PayloadType;
             dp.Marker = false;
             dp.Layer = (cardinal)-1;
             dp.Layers = (cardinal)-1;
             if(td.checkNextPacket(&dp) == false) {
                puts("CHKFAIL!");
             }
             else {
                td.handleNextPacket(&dp);
             }
             te.getQoSDescription(hSize,pktSize);
          }


          f++;
       }
       puts("EOF!");
   }
   return(0);
}
