// ##########################################################################
// ####                                                                  ####
// ####                    Master Thesis Implementation                  ####
// ####  Management of Layered Variable Bitrate Multimedia Streams over  ####
// ####                  DiffServ with A Priori Knowledge                ####
// ####                                                                  ####
// #### ================================================================ ####
// ####                                                                  ####
// ####                                                                  ####
// #### Trace Client App Packet Implementation                           ####
// ####                                                                  ####
// #### Version 1.00  --  October 10, 2000                               ####
// ####                                                                  ####
// #### Copyright (C) 2000 Thomas Dreibholz                              ####
// #### University of Bonn, Department of Computer Science IV            ####
// #### EMail: Dreibholz@bigfoot.com                                     ####
// #### WWW:   http://www.bigfoot.com/~dreibholz/diplom/index.html       ####
// ####                                                                  ####
// ##########################################################################


#include "system.h"
#include "traceclientapppacket.h"
#include "tools.h"


namespace Coral {


// ###### Constructor #######################################################
TraceClientAppPacket::TraceClientAppPacket()
{
}


// ###### Reset #############################################################
void TraceClientAppPacket::reset()
{
   FormatID           = TraceClientFormatID;
   PosChgSeqNumber    = 0;
   SequenceNumber     = 0;
   Status             = TCAS_UnknownCommand;
   Encoding           = 0;
   StreamPriority     = 0;
   SessionPriority    = 0;
   SessionDescriptor  = 0;
   MaxWantedDelay     = (card32)-1;
   WantedUtilization  = translateToBinary(1.0);
   StartPosition      = (card64)-1;
   RestartPosition    = 0;
   MinWantedBandwidth = 0;
   MaxWantedBandwidth = (card32)-1;
   for(cardinal i = 0;i < 128;i++) {
      MediaName[i] = 0x00;
   }
}


// ###### Translate byte order ##############################################
void TraceClientAppPacket::translate()
{
   FormatID           = translate32(FormatID);
   SequenceNumber     = translate16(SequenceNumber);
   PosChgSeqNumber    = translate16(PosChgSeqNumber);
   Status             = translate16(Status);
   Encoding           = translate16(Encoding);
   StartPosition      = translate64(StartPosition);
   RestartPosition    = translate64(RestartPosition);
   MinWantedBandwidth = translate32(MinWantedBandwidth);
   MaxWantedBandwidth = translate32(MaxWantedBandwidth);
   MaxWantedDelay     = translate32(MaxWantedDelay);
   SessionDescriptor  = translate32(SessionDescriptor);
}


}
