// ##########################################################################
// ####                                                                  ####
// ####                      RTP Audio Server Project                    ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Media Info Implementation                                        ####
// ####                                                                  ####
// #### Version 1.00  --  September 17, 2000                             ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################


#include "system.h"
#include "mediainfo.h"
#include "tools.h"


namespace Coral {


// ###### Constructor #######################################################
MediaInfo::MediaInfo()
{
}


// ###### Reset media info ##################################################
void MediaInfo::reset()
{
   StartTimeStamp = 0;
   EndTimeStamp   = 0;
   Title[0]       = 0x00;
   Artist[0]      = 0x00;
   Comment[0]     = 0x00;
}


// ###### Translate byte order ##############################################
void MediaInfo::translate() {
   StartTimeStamp = translate64(StartTimeStamp);
   EndTimeStamp   = translate64(EndTimeStamp);
}


// ###### Output operator ###################################################
ostream& operator<<(ostream& os, const MediaInfo& mi)
{
   cout << "StartTimeStamp = " << mi.StartTimeStamp << endl;
   cout << "EndTimeStamp   = " << mi.EndTimeStamp   << endl;
   cout << "Title          = \"" << mi.Title << "\"" << endl;
   cout << "Artist         = \"" << mi.Artist << "\"" << endl;
   cout << "Comment        = \"" << mi.Comment << "\"" << endl;
   return(os);
}


}
