// ##########################################################################
// ####                                                                  ####
// ####                      RTP Audio Server Project                    ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### RTP Packet Implementation                                        ####
// ####                                                                  ####
// #### Version 1.00  --  September 17, 2000                             ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################


#include "system.h"
#include "rtppacket.h"


namespace Coral {


// ###### Constructor #######################################################
RTPPacket::RTPPacket()
{
  V    = RTPConstants::RTPVersion;
  P    = false;
  X    = false;
  CC   = 0;
  M    = false;
  PT   = 0;
  setSequenceNumber(0);
  setTimeStamp(0);
  setSSRC(0);
}


// ###### Output operator ###################################################
ostream& operator<<(ostream& os, const RTPPacket& packet)
{
  cout << "RTPPacket:: {\n";
  cout << "\tVersion      : " << packet.getVersion()        << "\n";
  cout << "\tPadding      : " << packet.getPadding()        << "\n";
  cout << "\tExtension    : " << packet.getExtension()      << "\n";
  cout << "\tCSRC Count   : " << packet.getCSRCCount()      << "\n";
  cout << "\tMarker       : " << packet.getMarker()         << "\n";
  cout << "\tPayload Type : " << packet.getPayloadType()    << "\n";
  cout << "\tSequence Num : " << packet.getSequenceNumber() << "\n";
  cout << "\tTimestamp    : " << packet.getTimeStamp()      << "\n";
  cout << "\tSSRC         : " << packet.getSSRC()           << "\n";
  cout << "\tCSRC         : ";
  for(card8 i = 0;i < packet.getCSRCCount();i++) {
     cout << packet.getCSRC(i) << "  ";
  }
  cout << "}" << endl;
  return(os);
}


}
