// ##########################################################################
// ####                                                                  ####
// ####                    Master Thesis Implementation                  ####
// ####  Management of Layered Variable Bitrate Multimedia Streams over  ####
// ####                  DiffServ with A Priori Knowledge                ####
// ####                                                                  ####
// #### ================================================================ ####
// ####                                                                  ####
// ####                                                                  ####
// #### Trace Packet Implementation                                      ####
// ####                                                                  ####
// #### Version 1.00  --  October 10, 2000                               ####
// ####                                                                  ####
// #### Copyright (C) 2000 Thomas Dreibholz                              ####
// #### University of Bonn, Department of Computer Science IV            ####
// #### EMail: Dreibholz@bigfoot.com                                     ####
// #### WWW:   http://www.bigfoot.com/~dreibholz/diplom/index.html       ####
// ####                                                                  ####
// ##########################################################################


#include "system.h"
#include "tracepacket.h"
#include "tools.h"


namespace Coral {


// ###### Encoding name #####################################################
const char TracePacket::TraceTypeName[] = "Trace Encoding";


// ###### Constructor #######################################################
TracePacket::TracePacket()
{
   reset();
}


// ###### Reset #############################################################
void TracePacket::reset()
{
   FormatID     = TraceFormatID;
   FrameID      = 0;
   Offset       = 0;
   Position     = 0;
   MaxPosition  = 0;
   Layer        = 0;
   Layers       = 0;
   ErrorCode    = 0;
   Flags        = 0;
   FrameID      = 0;
}


// ###### Translate byte order ##############################################
void TracePacket::translate()
{
   FormatID     = translate32(FormatID);
   FrameID      = translate32(FrameID);
   Offset       = translate32(Offset);
   Position     = translate64(Position);
   MaxPosition  = translate64(MaxPosition);
}


}
